package com.example.chatbot.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Service
public class EmbedderClient {

  @Value("${embedder.url}")
  private String embedderUrl;

  private final RestTemplate restTemplate = new RestTemplate();

  public List<Double> embedText(String text) {
    Map<String, Object> payload = Map.of("texts", List.of(text));
    Map<String, List<List<Double>>> response = restTemplate.postForObject(embedderUrl, payload, Map.class);
    return response.get("embeddings").get(0);
  }
}
